import React, {Component} from "react";
import {UserOutlined} from "@ant-design/icons";
import {Avatar, Button, Divider, message, Popover} from 'antd';
import './HeaderMenu.less'
import {Link} from "react-router-dom";
import {apiIsLogged} from "../../API/API";

class HeaderMenu extends Component {
    state = {
        clicked: false,
        hovered: false,
    }

    componentWillMount() {
        apiIsLogged().then(res => {
            if (res.data.code === '402') {
                this.setState({
                    logged: true,
                })
            } else if (res.data.code === '401') {
                message.error(res.data.message)
                window.location.href = ""
            } else {
                message.error('错误')
                window.location.href = ""
            }
        })
    }

    handleHoverChange = visible => {
        this.setState({
            hovered: visible,
            clicked: false,
            logged: false,
        });
    };

    handleClickChange = visible => {
        this.setState({
            clicked: visible,
            hovered: false,
        });
    };

    handleWriteArticle = () => {
        window.location.href = '/#/post'
    }

    render() {
        return (
            <div>
                <div className={'menu-item-1'}>
                    {
                        this.state.logged ? <Popover
                            content=
                                {<div className={'pop-hover-div'}>
                                    <Button type="text" className={'pop-hover-button'}>
                                        <Link>
                                            登录
                                        </Link>
                                    </Button>
                                    <Divider className={'pop-hover-divider'}/>
                                    <Button type="text" className={'pop-hover-button'}>注册</Button>
                                </div>}
                            trigger="hover"
                            visible={this.state.hovered}
                            onVisibleChange={this.handleHoverChange}
                        >
                            <Popover
                                content=
                                    {'未登录'}
                                trigger="click"
                                visible={this.state.clicked}
                                onVisibleChange={this.handleClickChange}
                            >
                                <Avatar icon={<UserOutlined/>}/>
                            </Popover>
                        </Popover> : <Avatar icon={<UserOutlined/>}/>
                    }
                </div>
                <div className={'menu-item-2'}>
                    <Button type="primary" style={{width: '100%'}} onClick={this.handleWriteArticle}>写文章</Button>
                </div>
                {/*<div className={'menu-item-3'}>*/}
                {/*    <Avatar icon={<UserOutlined/>}/>*/}
                {/*</div>*/}
            </div>
        )
    }
}

export default HeaderMenu;