import React, {Component} from "react";
import MarkdownIt from 'markdown-it'
import MdEditor, {Plugins} from 'react-markdown-editor-lite'

import 'react-markdown-editor-lite/lib/index.css'

const mdParser = new MarkdownIt();

MdEditor.use(
    Plugins.TabInsert, {tabMapValue: 1}
)

class MarkdownEditor extends Component {
    state = {
        text: '',
    }

    handleEditorChange = e => {
        this.setState({
            text: e['text'],
        })
        this.props.handleTextChange(e['text'])
    }

    render() {
        return (
            <MdEditor style={{height: '91vh'}}
                      value={this.state.text}
                      renderHTML={text => mdParser.render(text)}
                      onChange={this.handleEditorChange}
                      syncScrollMode={['rightFollowLeft', 'leftFollowRight']}
            />
        );
    }
}

export default MarkdownEditor;