import React, {Component} from "react";
import {Button, Input, Modal} from "antd";
import {EditOutlined} from "@ant-design/icons";
import './PostHeader.less'
import PostModal from "../PostModal/PostModal";


class PostHeader extends Component {
    state = {
        visible: false,
    }


    setVisible = visible => {
        this.setState({
            visible: visible
        })
    }


    handleTitleChange = e => {
        this.props.handleTitleChange(e.target.value)
    }

    handleTagSet = tag => {
        this.props.handleTagSet(tag)
    }

    handleClassChange = aclass => {
        this.props.handleClassChange(aclass)
    }

    handleCoverChange = cover => {
        this.props.handleCoverChange(cover)
    }

    render() {
        return (
            <div>
                <div className={'post-title-input'}>
                    <Input
                        prefix={<EditOutlined className="site-form-item-icon"/>}
                        placeholder="标题"
                        bordered={false}
                        size={'large'}
                        onChange={this.handleTitleChange}
                    />
                </div>
                <div className={'post-menu-item-1'}>
                    111
                </div>
                <div className={'post-menu-item-2'}>
                    <PostModal
                        handleTagSet={this.handleTagSet.bind(this)}
                        handleClassChange={this.handleClassChange.bind(this)}
                        tags={this.props.tags}
                        classes={this.props.classes}
                        handlePost={this.props.handlePost}
                        handleCoverChange={this.handleCoverChange.bind(this)}
                    />
                </div>
                <div className={'post-menu-item-3'}>
                    <Button type="dashed" style={{width: '100%'}} onClick={this.props.handleSave}>草稿箱</Button>
                </div>
                <div className={'post-menu-item-4'}>
                    文章将自动保存至草稿箱
                </div>
            </div>
        )
    }
}

export default PostHeader;