import React, {Component} from "react";
import {Button, Select, message, Input} from "antd";
import Modal from "antd/es/modal/Modal";

const {Option} = Select;

class PostModal extends Component {

    state = {
        isVisible: false,
        stags: '',
        flag: 'tag',
        aclass: '',
    }

    showModal = () => {
        this.setState({
            isVisible: true,
        })
    }

    handleOk = () => {
        if (this.state.flag === 'tag') {
            if (this.state.stags !== '') {
                let flag = true
                for (let i = 0; i < this.state.stags.length; i++) {
                    for (let j = 0; j < this.props.classes.length; j++) {
                        if (this.state.stags[i] === this.props.classes[j]) {
                            message.error('请删去与板块相同名称的标签：' + this.state.stags[i])
                            flag = false
                        }
                    }
                }
                if (flag) {
                    this.props.handleTagSet(this.state.stags)
                    this.setState({
                        flag: 'class'
                    })
                }
            } else {
                message.error('请至少填写一个标签')
            }
        } else if (this.state.flag === 'class') {
            if (this.state.aclass !== '') {
                this.setState({
                    flag: 'cover'
                })
            } else {
                message.error('请选择分类')
            }
        } else {
            this.props.handlePost()
            this.setState({
                isVisible: false,
            })
        }
    }

    handleCancel = () => {
        if (this.state.flag === 'tag') {
            this.setState({
                isVisible: false,
            })
        } else {
            this.setState({
                flag: 'tag',
            })
        }
    }

    handleTagChange = stags => {
        this.setState({
            stags: stags
        })
    }

    handleCoverChange = e => {
        this.props.handleCoverChange(e.target.value)
    }

    handleClassChange = aclass => {
        this.setState({
            aclass: aclass
        })
        this.props.handleClassChange(aclass)
    }

    renderOptions(list) {
        return list.map((ele, index) => {
            return (
                <Option
                    value={ele}
                    key={ele}
                >
                    {ele}
                </Option>
            )
        })
    }

    render() {
        return (
            <div>
                <Button type="primary" onClick={this.showModal} style={{width: '100%'}}>
                    发布
                </Button>
                <Modal title={this.state.flag === 'tag' ? "标签" : this.state.flag === 'class' ? "分类" : "封面(非必须)"}
                       visible={this.state.isVisible}
                       onOk={this.handleOk}
                       onCancel={this.handleCancel}
                       cancelText={this.state.flag === 'tag' ? '关闭' : '上一步'}
                       okText={this.state.flag === 'cover' ? '发布' : '下一步'}
                >
                    {this.state.flag === 'tag'
                        ? <Select
                            allowClear={true}
                            mode="tags"
                            style={{width: '100%'}} placeholder="请添加标签" onChange={this.handleTagChange}
                        >
                            {
                                this.renderOptions(this.props.tags)
                            }
                        </Select>
                        : this.state.flag === 'class' ?
                            <Select
                                allowClear={true}
                                defaultActiveFirstOption={true}
                                style={{width: '100%'}}
                                onChange={this.handleClassChange}
                            >
                                {
                                    this.renderOptions(this.props.classes)
                                }
                            </Select>
                            : <Input
                                placeholder="请输入封面图的URL地址"
                                onChange={this.handleCoverChange}
                            />
                    }
                </Modal>
            </div>
        )
    }
}

export default PostModal;