import React, {Component} from "react";
import {Button, Form, message} from "antd";
import {apiLogout} from "../../../API/API";
import {CheckCircleTwoTone, LoginOutlined, LogoutOutlined} from "@ant-design/icons";
import '../UserForm.less'
import {Link} from "react-router-dom";

class LogoutForm extends Component {
    handleSubmitLogout = () => {
        apiLogout().then(res => {
            if (res.data.code === '402') {
                message.success('登出成功');
                this.props.handleLogged()
            } else {
                message.error('错误')
            }
        })
    };

    clickButton = () => {
        let e = document.createEvent('MouseEvents');
        e.initEvent('click', true, true)
        document.getElementById('enter-link').dispatchEvent(e)
    }

    render() {
        return (
            <div className={'logged-div'}>
                <CheckCircleTwoTone className={'logged-logo'} twoToneColor="#52c41a"/>
                <Button className={'enter-button'} size="large" type="primary" icon={<LoginOutlined/>}
                        onClick={this.clickButton}>
                    <Link to={'/default/articles'} style={{color: 'white'}} id={'enter-link'}>
                        &nbsp;&nbsp;&nbsp;Enter
                    </Link>
                </Button>
                <Form onFinish={this.handleSubmitLogout} className="login-form" initialValues={{remember: true}}>
                    <Form.Item style={{marginBottom: '10px'}}>
                        <Button size="large" type="primary" htmlType="submit" className="login-form-button"
                                style={{width: '100%'}} icon={<LogoutOutlined/>}>
                            Logout
                        </Button>
                    </Form.Item>
                </Form>
            </div>
        )
    }
}

export default LogoutForm;